Package org.eclipse.emf.spi.cdo

## Interface InternalCDOXATransaction.InternalCDOXACommitContext

- All Superinterfaces:
    `java.util.concurrent.Callable<java.lang.Object>`, `CDOBranchProvider`, `CDOCommitContext`, `CDOIDProvider`, `InternalCDOTransaction.InternalCDOCommitContext`
  Enclosing interface:
    InternalCDOXATransaction

      public static interface InternalCDOXATransaction.InternalCDOXACommitContext
      extends java.util.concurrent.Callable<java.lang.Object>, CDOIDProvider, InternalCDOTransaction.InternalCDOCommitContext

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState` | If the meaning of this type isn't clear, there really should be more of a description here...

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOIDProvider

      `NOOP`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<org.eclipse.emf.cdo.internal.common.id.CDOIDTempObjectExternalImpl,​InternalCDOTransaction>` | `getRequestedIDs()` |
    `CDOSessionProtocol.CommitTransactionResult` | `getResult()` |
    `InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState` | `getState()` |
    `InternalCDOXATransaction` | `getTransactionManager()` |
    `void` | `setProgressMonitor​(IProgressMonitor progressMonitor)` |
    `void` | `setResult​(CDOSessionProtocol.CommitTransactionResult result)` |
    `void` | `setState​(InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState state)` |

    - ### Methods inherited from interface java.util.concurrent.Callable

      `call`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOCommitContext

      `getBranch, getCommitComment, getCommitData, getCommitMergeSource, getDetachedObjects, getDirtyObjects, getIDsToUnlock, getLobs, getLocksOnNewObjects, getNewObjects, getNewPackageUnits, getRevisionDeltas, getUserID, getViewID, isAutoReleaseLocks, isPartialCommit`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIDProvider

      `provideCDOID`

    - ### Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOTransaction.InternalCDOCommitContext

      `getTransaction, postCommit, preCommit`

- - ### Method Detail

    - #### getTransactionManager

          InternalCDOXATransaction getTransactionManager()

    - #### getRequestedIDs

          java.util.Map<org.eclipse.emf.cdo.internal.common.id.CDOIDTempObjectExternalImpl,​InternalCDOTransaction> getRequestedIDs()

    - #### getResult

          CDOSessionProtocol.CommitTransactionResult getResult()

    - #### setResult

          void setResult​(CDOSessionProtocol.CommitTransactionResult result)

      Since:
        3.0

    - #### getState

          InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState getState()

      Since:
        3.0

    - #### setState

          void setState​(InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState state)

      Since:
        3.0

    - #### setProgressMonitor

          void setProgressMonitor​(IProgressMonitor progressMonitor)

      Since:
        3.0